BeagleBone Upgrade Problems

I keep getting these errors. How can I solve them?
Regards

root@beaglebone:~# opkg upgrade
Upgrading shadow on root from 4.1.4.3-r7 to 4.1.4.3-r8…
Downloading http://feeds.angstrom-distribution.org/feeds/core/ipk/eglibc/armv7a/base/shadow_4.1.4.3-r8_armv7a.ipk.
Upgrading shadow-dev on root from 4.1.4.3-r7 to 4.1.4.3-r8…
Downloading http://feeds.angstrom-distribution.org/feeds/core/ipk/eglibc/armv7a/base/shadow-dev_4.1.4.3-r8_armv7a.ipk.
shadow-dev: unsatisfied recommendation for pam-plugin-mail-dev
shadow-dev: unsatisfied recommendation for libpam-runtime-dev
shadow-dev: unsatisfied recommendation for pam-plugin-env-dev
shadow-dev: unsatisfied recommendation for pam-plugin-shells-dev
shadow-dev: unsatisfied recommendation for pam-plugin-limits-dev
shadow-dev: unsatisfied recommendation for pam-plugin-group-dev
shadow-dev: unsatisfied recommendation for pam-plugin-securetty-dev
shadow-dev: unsatisfied recommendation for pam-plugin-lastlog-dev
shadow-dev: unsatisfied recommendation for pam-plugin-nologin-dev
shadow-dev: unsatisfied recommendation for pam-plugin-faildelay-dev
shadow-dev: unsatisfied recommendation for pam-plugin-motd-dev
shadow-dev: unsatisfied recommendation for pam-plugin-rootok-dev
Upgrading shadow on root from 4.1.4.3-r7 to 4.1.4.3-r8…
Configuring procps.
update-alternatives: Linking //usr/bin/top to /usr/bin/top.procps
update-alternatives: Linking //usr/bin/uptime to /usr/bin/uptime.procps
update-alternatives: Linking //usr/bin/free to /usr/bin/free.procps
update-alternatives: Linking //usr/bin/pkill to /usr/bin/pkill.procps
update-alternatives: Linking //usr/bin/pmap to /usr/bin/pmap.procps
update-alternatives: Linking //bin/kill to /bin/kill.procps
update-alternatives: Linking //sbin/sysctl to /sbin/sysctl.procps
update-alternatives: Linking //bin/ps to /bin/ps.procps
update-alternatives: Linking //usr/bin/pgrep to /usr/bin/pgrep.procps
update-alternatives: Linking //usr/bin/pwdx to /usr/bin/pwdx.procps
update-alternatives: Error: cannot register alternative watch to /usr/bin/watch since it is already registered to /bin/watch
Collected errors:

  • pkg_get_installed_files: Failed to open //var/lib/opkg/info/perl-module-build.pm.list: No such file or directory.
  • pkg_get_installed_files: Failed to open //var/lib/opkg/info/perl-module-load.pm.list: No such file or directory.
  • check_data_file_clashes: Package shadow wants to install file /etc/login.defs
    But that file is already provided by package * shadow-sysroot
  • check_data_file_clashes: Package shadow wants to install file /etc/login.defs
    But that file is already provided by package * shadow-sysroot
  • pkg_run_script: package “procps” postinst script returned status 1.
  • opkg_configure: procps.postinst returned 1.

I keep getting these errors. How can I solve them?
Regards

root@beaglebone:~# opkg upgrade
Upgrading shadow on root from 4.1.4.3-r7 to 4.1.4.3-r8...
Downloading
http://feeds.angstrom-distribution.org/feeds/core/ipk/eglibc/armv7a/base/shadow_4.1.4.3-r8_armv7a.ipk.
Upgrading shadow-dev on root from 4.1.4.3-r7 to 4.1.4.3-r8...
Downloading
http://feeds.angstrom-distribution.org/feeds/core/ipk/eglibc/armv7a/base/shadow-dev_4.1.4.3-r8_armv7a.ipk.
shadow-dev: unsatisfied recommendation for pam-plugin-mail-dev
shadow-dev: unsatisfied recommendation for libpam-runtime-dev
shadow-dev: unsatisfied recommendation for pam-plugin-env-dev
shadow-dev: unsatisfied recommendation for pam-plugin-shells-dev
shadow-dev: unsatisfied recommendation for pam-plugin-limits-dev
shadow-dev: unsatisfied recommendation for pam-plugin-group-dev
shadow-dev: unsatisfied recommendation for pam-plugin-securetty-dev
shadow-dev: unsatisfied recommendation for pam-plugin-lastlog-dev
shadow-dev: unsatisfied recommendation for pam-plugin-nologin-dev
shadow-dev: unsatisfied recommendation for pam-plugin-faildelay-dev
shadow-dev: unsatisfied recommendation for pam-plugin-motd-dev
shadow-dev: unsatisfied recommendation for pam-plugin-rootok-dev
Upgrading shadow on root from 4.1.4.3-r7 to 4.1.4.3-r8...
Configuring procps.
update-alternatives: Linking //usr/bin/top to /usr/bin/top.procps
update-alternatives: Linking //usr/bin/uptime to /usr/bin/uptime.procps
update-alternatives: Linking //usr/bin/free to /usr/bin/free.procps
update-alternatives: Linking //usr/bin/pkill to /usr/bin/pkill.procps
update-alternatives: Linking //usr/bin/pmap to /usr/bin/pmap.procps
update-alternatives: Linking //bin/kill to /bin/kill.procps
update-alternatives: Linking //sbin/sysctl to /sbin/sysctl.procps
update-alternatives: Linking //bin/ps to /bin/ps.procps
update-alternatives: Linking //usr/bin/pgrep to /usr/bin/pgrep.procps
update-alternatives: Linking //usr/bin/pwdx to /usr/bin/pwdx.procps
update-alternatives: Error: cannot register alternative watch to
/usr/bin/watch since it is already registered to /bin/watch
Collected errors:
* pkg_get_installed_files: Failed to open
//var/lib/opkg/info/perl-module-build.pm.list: No such file or directory.
* pkg_get_installed_files: Failed to open
//var/lib/opkg/info/perl-module-load.pm.list: No such file or directory.
* check_data_file_clashes: Package shadow wants to install file
/etc/login.defs
But that file is already provided by package * shadow-sysroot
* check_data_file_clashes: Package shadow wants to install file
/etc/login.defs
But that file is already provided by package * shadow-sysroot
* pkg_run_script: package "procps" postinst script returned status 1.
* opkg_configure: procps.postinst returned 1.

See https://groups.google.com/forum/#!msg/beagleboard/KQBvlhnCzXk/JQ8QFlb3QJMJ

Bill, I could not understand. Is there a solution to my problem at that link?